Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IDynamicFilterParameterDefn

All Superinterfaces:
  IParameterDefn, IParameterDefnBase

    public interface IDynamicFilterParameterDefn

extends IParameterDefn

Field Summary
`static int` | `DISPLAY_TYPE_ADVANCED`
`static int` | `DISPLAY_TYPE_SIMPLE`

Fields inherited from interface org.eclipse.birt.report.engine.api.IParameterDefn
`SELECTION_LIST_DYNAMIC, SELECTION_LIST_NONE, SELECTION_LIST_STATIC, TYPE_ANY, TYPE_BOOLEAN, TYPE_DATE, TYPE_DATE_TIME, TYPE_DECIMAL, TYPE_FLOAT, TYPE_INTEGER, TYPE_STRING, TYPE_TIME`

Fields inherited from interface org.eclipse.birt.report.engine.api.IParameterDefnBase
`CASCADING_PARAMETER_GROUP, FILTER_PARAMETER, LIST_PARAMETER, PARAMETER_GROUP, SCALAR_PARAMETER, TABLE_PARAMETER`

Method Summary
`java.lang.String` | `getColumn()`
`int` | `getDisplayType()`
`java.util.List<java.lang.String>` | `getFilterOperatorDisplayList()`
`java.util.List<java.lang.String>` | `getFilterOperatorList()`

Methods inherited from interface org.eclipse.birt.report.engine.api.IParameterDefn
`getDataType, getSelectionList, getSelectionListType, isHidden, isRequired`

Methods inherited from interface org.eclipse.birt.report.engine.api.IParameterDefnBase
`getDisplayName, getHandle, getHelpText, getName, getParameterType, getPromptText, getTypeName, getUserPropertyValue, getUserPropertyValues`

Field Detail

### DISPLAY_TYPE_SIMPLE

    static final int DISPLAY_TYPE_SIMPLE

See Also:
  Constant Field Values

### DISPLAY_TYPE_ADVANCED

    static final int DISPLAY_TYPE_ADVANCED

See Also:
  Constant Field Values

Method Detail

### getDisplayType

    int getDisplayType()

### getColumn

    java.lang.String getColumn()

### getFilterOperatorList

    java.util.List<java.lang.String> getFilterOperatorList()

### getFilterOperatorDisplayList

    java.util.List<java.lang.String> getFilterOperatorDisplayList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.